The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a database and tools to fix them.

vulnerability CVE-2013-0310

Linux kernel: denial of service via IPOPT_CIPSO

Synthesis of the vulnerability

A local attacker can create a socket with the CIPSO IP option, in order to stop the system.
Impacted products: Linux, RHEL.
Severity: 1/4.
Creation date: 20/02/2013.
Identifiers: BID-58052, CVE-2013-0310, RHSA-2013:0496-02, VIGILANCE-VUL-12440.

Description of the vulnerability

The CIPSO (Commercial Internet Protocol Security Option) IP option is used to define the sensitivity level (Multi Level Security) of a network message.

The Linux kernel implements this option. However, this implementation is invalid, and triggers a NULL pointer dereference.

A local attacker can therefore create a socket with the CIPSO IP option, in order to stop the system.
Complete Vigil@nce bulletin.... (free trial)

Computer vulnerabilities tracking service

Vigil@nce provides a networks vulnerabilities bulletin. The Vigil@nce vulnerability database contains several thousand vulnerabilities. The Vigil@nce security watch publishes vulnerability bulletins about threats impacting the information system. The technology watch team tracks security threats targeting the computer system.